
Redmine - Defect #1111

Forbid (or at least warn) removal of projects with subprojects

2008-04-25 20:53 - Leandro Lucarella

Status: Closed Start date: 2008-04-25

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 0.7   

Resolution: Fixed Affected version:  

Description

When a project with subprojects is removed, all the subprojects are gone too, without even warn the user.

I lost some valuable information, so I'm this "Urgent", hope it's ok.

Associated revisions

Revision 1359 - 2008-04-26 12:20 - Jean-Philippe Lang

Warn user that subprojects are also deleted when deleting a project (#1111) and add a checkbox to confirm the deletion.

History

#1 - 2008-04-26 12:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7

- Resolution set to Fixed

Warning added in r1359 if the project has some subprojects (subprojects are listed).

A checkbox is also added to confirm the deletion.
